Page MenuHomePhabricator

Activate Subpages feature for NS:0 on Wikimedia Canada Chapter's wiki
Closed, ResolvedPublic

Description

Hello,

It looks like the Subpages feature is not active on our Wiki ($wgNamespacesWithSubpages).

Is it possible to activate for all Name spaces please, inlucing [NS_MAIN], please?

Thank you in advance.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 22 2018, 1:15 AM

This is about Wikimedia Canada, Benoit was asking about it on IRC earlier:

https://wm-bot.wmflabs.org/logs/%23mediawiki/20180121.txt

[23:17:12] <Benoit-Rochon>	 Hello guys! I have a question regarding the Media
[23:17:24] <Benoit-Rochon>	 Wiki subpage feature
[23:19:52] <Benoit-Rochon>	 In the page "Help:Subpages" of mediawiki.org it says: "Breadcrumb links will appear automatically at the top of the subpage, linking to each parent page that exists (...) or if the subpage feature is turned off."
[23:21:45] <Benoit-Rochon>	 On Wikimedia Canada's wiki, it looks like the feature is off... Is there a way that I can verify if the feature is on, or why the breadcrumb links doesn't appear?
[23:55:41] <MatmaRex_mobile>	 Benoit-Rochon: this feature only works for namespaces that have subpages - this is disabled for main namespace by default. there is a config setting for this
[23:56:31] <MatmaRex_mobile>	 Benoit-Rochon: https://www.mediawiki.org/wiki/Manual:$wgNamespacesWithSubpages
[23:56:54] <MatmaRex_mobile>	 you can file a task on Phabricator to have this config setting changed to enable it for other namespaces
matmarex renamed this task from Activate Subpages feature on a Chapter's wiki (also for main namespace) to Activate Subpages feature on Wikimedia Canada Chapter's wiki (also for main namespace).Jan 22 2018, 1:26 AM
matmarex removed a subscriber: matmarex.

Change 405755 had a related patch set uploaded (by Framawiki; owner: Framawiki):
[operations/mediawiki-config@master] Add NS_MAIN to $wgNamespacesWithSubpages for cawikimedia

https://gerrit.wikimedia.org/r/405755

Hello @Benoit_Rochon, two remarks :

Usually it exists in local wikimedia wikis hosted by the WMF a local Mediawiki Extension Policy page, like this one on sewikimedia. It's useful for us, devs, to quickly verify that requested changes on phab are ok to be done. As I know you, and you're a bureaucrat on this wiki, I'll do this one, but if you can create this page for following requests, it can be cool (or I miss it ?). Thanks ! :)

$wgNamespacesWithSubpages accepts a list of NS, so all is not an evidence here. In the patch I've added only NS 0, see the gerrit change above, tell me if you want other from the list of available ones.

@Framawiki c'est possible de le renommer le NS_4 en "Wikimedia" et NS_5 en "Wikimedia talk" ?
Je vais tout de suite faire la page "Wikimedia:Mediawiki Extension Policy" que tu demandes.

Merci.

Framawiki renamed this task from Activate Subpages feature on Wikimedia Canada Chapter's wiki (also for main namespace) to Activate Subpages feature for NS:0 on Wikimedia Canada Chapter's wiki.Jan 31 2018, 8:02 PM

Change 405755 merged by jenkins-bot:
[operations/mediawiki-config@master] Add NS_MAIN to $wgNamespacesWithSubpages for cawikimedia

https://gerrit.wikimedia.org/r/405755

Framawiki closed this task as Resolved.Feb 7 2018, 7:10 PM
Framawiki claimed this task.

Mentioned in SAL (#wikimedia-operations) [2018-02-07T19:16:42Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:405755|Add NS_MAIN to $wgNamespacesWithSubpages for cawikimedia]] T185436 (duration: 01m 12s)

Hello @Framawiki, just a quick question. I tought by activating Subpages feature on main namespace would automatically activate the breadcrumb feature too.

Is it a different Mediawiki extension ?

Best regards, Benoit.